<?php
/*
fm_read.php by Mike Duncan, Soliant Consulting, October 2014

Functionality explanation:
This script is called from within filemaker after fm_write.php. It reads a tmp file based on a UUID passed from filemaker containing the session variables that were set from within fm_link.php. 
*/

// check for required parameter, should match the UUID passed in fm write file.
if(isset($_GET['file_uuid']) && strlen($_GET['file_uuid'])>0 ){
    
    $fn = '/tmp/'.$_GET['file_uuid'].'.txt';

    $fr = fopen($fn, "r") or die("Unable to open file!");
    echo fread($fr, filesize($fn));
    fclose($fr);

    unlink($fn);  // remove the file once read

} else {
    
    exit('Error: No file.');
    
}
